Skip to content
Proud to collaborate with Microsoft for Startups

docusign.authorizations.post-user-authorizations ​

Create or update multiple user authorizations in a single request. The body of the request is a list of userAuthorizationSomething objects. To create a new authorization, specify the agentUser and permission fields, with the optional startDate and endDate fields. To update an existing authorization, specify the authorizationId field and the startDate and/or endDate fields. For example, to create a new authorization and update the end date of an existing authorization, your request body might look like this: { "authorizations": [ { "agentUser": { "userId": "1470ff66-xxxx-xxxx-xxxx-8c46f140da37", "accountId": "230546a7-xxxx-xxxx-xxxx-af205d5494ad" }, "permission": "manage" }, { "authorizationId": "b73ac983-xxxx-xxxx-xxxx-b3c0ea5b09d3", "endDate": "2023-05-09T21:36:27.0000000+00:00" } ] } The principal user is specified by the userId path parameter. To call this endpoint, you must be an account administrator or the principal user. Note: To create an authorization with signing permission, the AllowDelegationSigning setting must be enabled on the account. If you share signing access, the agent user will receive an email notification. Each principal user can only share signing permission with one agent user.

Create or update multiple user authorizations.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the principal user.
authorizationslistNo—The list of user authorizations to create and/or update.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
useridstringYes—The ID of the principal user.
authorizationslistNo—The list of user authorizations to create and/or update.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/users/{userId}/authorizations
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/users/{userId}/authorizations
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.authorizations.post-user-authorizations",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "userid": "value"
  }
}